# mlx.core.fft.ifftn — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.core.fft.ifftn

mlx.core.fft.ifftn(a: array, s: Optional[List[ int ]] = None, axes: Optional[List[ int ]] = None, stream: Union[ None , Stream , Device ] = None) → array

  n-dimensional inverse discrete Fourier Transform.

  Parameters:

    - a (array) – The input array.

    - s (list ( int ), optional) – Sizes of the transformed axes. The corresponding axes in the input are truncated or padded with zeros to match the sizes in `s`. The default value is the sizes of `a` along `axes`.

    - axes (list ( int ), optional) – Axes along which to perform the FFT. The default is `None` in which case the FFT is over the last `len(s)` axes or all axes if `s` is also `None`.

  Returns:

    The inverse DFT of the input along the given axes.

  Return type:

    array